Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

vaultclipse 0.2.4 for AEM6.3 Eclipse neon 3 -error

Avatar

Avatar
Ignite 1
Level 2
Rajashankar
Level 2

Likes

5 likes

Total Posts

22 posts

Correct Reply

2 solutions
Top badges earned
Ignite 1
Validate 1
Give Back 3
Give Back
Boost 5
View profile

Avatar
Ignite 1
Level 2
Rajashankar
Level 2

Likes

5 likes

Total Posts

22 posts

Correct Reply

2 solutions
Top badges earned
Ignite 1
Validate 1
Give Back 3
Give Back
Boost 5
View profile
Rajashankar
Level 2

24-06-2017

Hi All,

So far for all the project I developed I was using vault AEM Checkin and Checkout via command prompt directly. Now I am trying to use eclipse vault plugin.

Below is my system config:

Eclipse Neon :

Version: Neon.3 Release (4.6.3)

Build id: 20170314-1500

AEM: 6.3

Vault Eclipse Plugin:

Vaultclipse 0.2.4

As part of the plugin installation I am getting the below error.

Cannot complete the install because one or more required items could not be found.

  Software being installed: VaultClipse 0.3.120120501 (com.cp.vaultclipse.feature.feature.group 0.3.120120501)

  Missing requirement: Eclipse Vault Pluginin.name 0.3.1 (com.cp.vaultclipse 0.3.1) requires 'bundle org.eclipse.core.runtime.compatibility 0.0.0' but it could not be found

  Cannot satisfy dependency:

    From: VaultClipse 0.3.120120501 (com.cp.vaultclipse.feature.feature.group 0.3.120120501)

    To: com.cp.vaultclipse [0.3.1]

1237104_pastedImage_1.png

Please help.

Regards,

Rajashankar

Accepted Solutions (0)

Answers (4)

Answers (4)

Avatar

Avatar
Validate 1
Level 2
anoopo70540109
Level 2

Likes

6 likes

Total Posts

15 posts

Correct Reply

0 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 1
View profile

Avatar
Validate 1
Level 2
anoopo70540109
Level 2

Likes

6 likes

Total Posts

15 posts

Correct Reply

0 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 1
View profile
anoopo70540109
Level 2

08-02-2018

Hi,

I am also facing the same issue with eclipse neon3. any solutions for this.?

Avatar

Avatar
Ignite 1
Level 2
Rajashankar
Level 2

Likes

5 likes

Total Posts

22 posts

Correct Reply

2 solutions
Top badges earned
Ignite 1
Validate 1
Give Back 3
Give Back
Boost 5
View profile

Avatar
Ignite 1
Level 2
Rajashankar
Level 2

Likes

5 likes

Total Posts

22 posts

Correct Reply

2 solutions
Top badges earned
Ignite 1
Validate 1
Give Back 3
Give Back
Boost 5
View profile
Rajashankar
Level 2

08-08-2017

Update on this issue:

I tried eclipse Oxygen too i faced same issue mentioned above. Hence i switced to kepler.It works fine in Kepler.

Avatar

Avatar
Ignite 1
Level 2
Rajashankar
Level 2

Likes

5 likes

Total Posts

22 posts

Correct Reply

2 solutions
Top badges earned
Ignite 1
Validate 1
Give Back 3
Give Back
Boost 5
View profile

Avatar
Ignite 1
Level 2
Rajashankar
Level 2

Likes

5 likes

Total Posts

22 posts

Correct Reply

2 solutions
Top badges earned
Ignite 1
Validate 1
Give Back 3
Give Back
Boost 5
View profile
Rajashankar
Level 2

29-06-2017

Hi All,

Adding to my earlier point. I even tried installing Eclipse 2.0 support plugin and then tried vaultclipse but still same error.

As per my analysis seems like eclipse had removed the deprecated API org.eclipse.core.runtime.compatibility from eclipse 4.4 onwards and neon is 4.6 .I even tried copying the org.eclipse.core.runtime.compatibility plugin from 4.3 eclipse to eclipse neon but it didn't worked.

Avatar

Avatar
Establish
Community Manager
kautuk_sahni
Community Manager

Likes

1,163 likes

Total Posts

6,273 posts

Correct Reply

1,144 solutions
Top badges earned
Establish
Coach
Originator
Contributor 2
Contributor
View profile

Avatar
Establish
Community Manager
kautuk_sahni
Community Manager

Likes

1,163 likes

Total Posts

6,273 posts

Correct Reply

1,144 solutions
Top badges earned
Establish
Coach
Originator
Contributor 2
Contributor
View profile
kautuk_sahni
Community Manager

28-06-2017

smacdonald2008​ any idea ?